main {
    padding: 2em;
}

.split-content {
    display: flex;
    gap: 2em;
}

@media screen and (max-width: 750px) {
    .split-content {
        flex-wrap: wrap;
    }

    .split-content .rule {
        margin: 2em 0;
        border-bottom: 1px solid black;

        width: 100%;
        height: 0;
    }
}

.split-content aside {
    width: 100%;
}

.loading-overlay {
    position: fixed;
    width: 100%;
    height: 100%;

    display: flex;
    flex-direction: column;
    gap: 1em;
    justify-content: center;
    align-items: center;

    background-color: rgba(255, 255, 255, 0.7);
    /* font-weight: bold; */
}

.loading-overlay * {
    margin: 0;
}

.loading-overlay .t {
    color: var(--primary);
    font-size: 2em;
    font-weight: bold;
}

.loading-overlay[hidden=""] {
    display: none;
}

/* Forms */
form {
    display: flex;
    flex-direction: column;
    gap: 1em;
}

form .field[hidden=""] {
    display: none;
}

form label {
    color: var(--primary);
    font-weight: bold;
}

form select {
    width: 100%;
    /* background-position: 1em; */
    
    appearance: none; /* Disable the default arrow */
    -webkit-appearance: none; /* For WebKit-based browsers */
    -moz-appearance: none; /* For Firefox */

    background-image: url("/assets/images/icons/dropdown.svg");
    background-repeat: no-repeat;
    background-position: right 5px center;

    margin-top: 0.5em;
}

form select option[value=""] {
    font-style: italic;
}

.total {
    display: flex;
    justify-content: space-between;
    gap: 1em;
    flex-wrap: wrap;
    align-items: center;
}

.total .amount {
    font-weight: bold;
    font-size: 2em;
    color: var(--primary);
}

.submit {
    display: flex;
    flex-direction: row-reverse;
}

.guest-notice {
    border: 1px solid var(--primary);
}

.guest-notice .notice-title {
    background-color: var(--primary);
}

.guest-notice .notice-text {
    color: var(--primary);
    background-color: var(--primary-light);
}

/* Booking Banner */
.booking-banner {
    width: 100%;
    background-color: #0c5a99;
    color: white;

    display: flex;
    flex-direction: column;
    gap: 1em;

    margin: 1em 0;
    padding: 1em;
    box-sizing: border-box;
}

.booking-banner p {
    margin: 0;
    text-align: center;
}

.booking-banner .banner-title {
    font-weight: bold;
    font-size: 2em;
}

.booking-banner.success {
    background-color: #0c9913;
}

.booking-banner.fail {
    background-color: #990c0c;
}